Name:           perl-Parse-Evtx
Version:        1.1.1
Release:        2%{?dist}
Summary:        Windows Event Log Parser library

Group:          Development/Libraries
License:        GPLv2
URL:            http://computer.forensikblog.de/
Source0:        http://computer.forensikblog.de/files/evtx/Parse-Evtx-%{version}.zip
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:	perl(ExtUtils::MakeMaker)
BuildRequires:	perl-Carp-Assert
BuildRequires:	perl-Data-Hexify
BuildRequires:	perl-Digest-CRC
Requires:	perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%{?perl_default_filter}

%description
Windows Event Log Parser library

%package tools
Summary:	Tools for parsing Windows Events, written in perl
Requires:	%{name} = %{version}-%{release}
BuildArch:      noarch
BuildRequires:	perl(ExtUtils::MakeMaker)
BuildRequires:	perl-Carp-Assert
BuildRequires:	perl-Data-Hexify
BuildRequires:	perl-Digest-CRC
Requires:	perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description tools
Tools for parsing Windows Events, written in perl

%prep
%setup -q -n Parse-Evtx-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make pure_install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null ';'
%{_fixperms} $RPM_BUILD_ROOT/*
mv $RPM_BUILD_ROOT%{_bindir}/evtxdump.pl $RPM_BUILD_ROOT%{_bindir}/evtxdump
mv $RPM_BUILD_ROOT%{_mandir}/man1/evtxdump.pl.1 $RPM_BUILD_ROOT%{_mandir}/man1/evtxdump.1
#mv $RPM_BUILD_ROOT%{_bindir}/evtxinfo.pl $RPM_BUILD_ROOT%{_bindir}/evtxinfo
#mv $RPM_BUILD_ROOT%{_mandir}/man1/evtxinfo.pl.1 $RPM_BUILD_ROOT%{_mandir}/man1/evtxinfo.1
mv $RPM_BUILD_ROOT%{_bindir}/evtxtemplates.pl $RPM_BUILD_ROOT%{_bindir}/evtxtemplates
mv $RPM_BUILD_ROOT%{_mandir}/man1/evtxtemplates.pl.1 $RPM_BUILD_ROOT%{_mandir}/man1/evtxtemplates.1

%check
make test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%{perl_vendorlib}/*

%files tools
%{_bindir}/*
%{_mandir}/man1/*.1*
%{_mandir}/man3/*.3*

%changelog
* Mon Nov 28 2011 Andreas Schuster <impressum@forensikblog.de> 1.1.1-1
* Release 1.1.1
    * evtxdump.pl: make STDOUT hot/unbuffered
    * Fixed a memory leak caused by a circular object reference. Thanks
      to Heinz Mueller for reporting the bug.
    * evtxdump.pl, evtxinfo.pl, evtxtemplates.pl: require IO::File version 1.14 or later.

* Fri Nov 11 2011 Andreas Schuster <impressum@forensikblog.de> 1.1.0-1
* Release 1.1.0
    * Event.pm: Bumped version to 1.1.0
    * Node0x01.pm, Node0x06: Fixed check for flags
    * Node0x05.pm: Added support for flag 0x40
    * Node0x07.pm: Added parser for XML CDATA section
    * Node0x09.pm: Added parser for XML entity reference
    * Node0x0a.pm, Node0x0b.pm: Added parser for XML processing instruction
    * BXmlNode.pm: Now prints context in case of unknown opcode
    * Type0x09.pm, Type0x0a.pm: Fixed sign error
    * Type0x0b.pm, Type0x0c.pm: Output now in scientific format
    * Type0x83.pm: Added parser for array of signed byte
    * Type0x84.pm: Added parser for array of unsigned byte
    * Type0x85.pm: Added parser for array of signed int16
    * Type0x86.pm: Added parser for array of unsigned int16
    * Type0x87.pm: Added parser for array of signed int32
    * Type0x88.pm: Added parser for array of unsigned int32
    * Type0x89.pm: Added parser for array of signed int64
    * Type0x8a.pm: Added parser for array of unsigned int64
    * Type0x8b.pm: Added parser for array of single prec. float
    * Type0x8c.pm: Added parser for array of double prec. float
    * Type0x8f.pm: Added parser for array of GUID
    * Type0x91.pm: Added parser for array of FILETIME
    * Type0x92.pm: Added parser for array of SYSTEMTIME
    * VariantType.pm: Added the afore mentioned array data types

* Tue Jul 19 2011 Morgan Weetman <mweetman@redhat.com> - 1.0.8-1
- Initial package

